<?php
include 'include/header.php';
$cuser = new auth();

$user_id = $_SESSION['uid'] ?? null;

// Default to empty cart view if user not logged in or cart is empty
if (!$user_id || !($result = $cuser->checkOut_fetch($user_id))) {
    ?>
    <div class="empty-cart-container" style="text-align:center; padding:50px;">
        <img src="https://ik.imagekit.io/6cga8hi9z/Sky%20market%20place/empty%20cart.png" alt="Empty Cart" style="max-width:300px; width:100%; height:auto;">
        <h3>Your cart is empty</h3>
        <a href="store.php" class="btn btn-primary" style="margin-top:20px;">Continue Shopping</a>
    </div>
    <?php
    return;
}

$result1 = $cuser->checkOut_product($user_id);
$locations = $cuser->get_all_delivery_locations();
?>

<!-- /NAVIGATION -->

<!-- BREADCRUMB -->
<div id="breadcrumb" class="section">
    <!-- container -->
    <div class="container">
        <!-- row -->
        <div class="row">
            <div class="col-md-12">
                <h3 class="breadcrumb-header">Checkout</h3>
                <ul class="breadcrumb-tree">
                    <li><a href="index.php">Home</a></li>
                    <li class="active">Checkout</li>
                </ul>
            </div>
        </div>
        <!-- /row -->
    </div>
    <!-- /container -->
</div>
<!-- /BREADCRUMB -->

<!-- SECTION -->
<div class="section">
    <!-- container -->
    <div class="container">
        <!-- row -->
        <form id="order_place">
            <div class="row">

                <div class="col-md-7">
                    <!-- Billing Details -->
                    <div class="billing-details">
                        <div class="section-title">
                            <h3 class="title">Billing address</h3>
                        </div>
                        <div class="form-group">
                            <input class="input" type="text" readonly name="name" value="<?php echo $result['name']?>"
                                placeholder="First Name">
                        </div>
                        <div class="form-group">
                            <input class="input" type="email" readonly name="email"
                                value="<?php echo $result['email']?>" placeholder="Email">
                        </div>
                        <div class="form-group">
                            <input class="input" type="text" readonly value="<?php echo $result['address']?>"
                                name="address" placeholder="Address">
                        </div>
                        <div class="form-group">
                            <input class="input" type="text" readonly value="<?php echo $result['city']?>" name="city"
                                placeholder="City">
                        </div>
                        <div class="form-group">
                            <input class="input" type="text" readonly value="<?php echo $result['country']?>"
                                name="country" placeholder="Country">
                        </div>
                        <div class="form-group">
                            <input class="input" type="tel" readonly name="tel" value="<?php echo $result['phone']?>"
                                placeholder="Telephone">
                        </div>
                        <div class="form-group">
                            <div class="input-checkbox">
                                <input type="checkbox" id="create-account">
                                <label for="create-account">
                                    <span></span>
                                    Create Account?
                                </label>
                                <div class="caption">
                                    <p>Lorem ipsum dolor sit amet, consectetur adipisicing elit, sed do eiusmod tempor
                                        incididunt.</p>
                                    <input class="input" type="password" name="password"
                                        placeholder="Enter Your Password">
                                </div>
                            </div>
                        </div>
                    </div>
                    <!-- /Billing Details -->

                    <!-- Shiping Details -->
                    <div class="shipping-details">
                        <div class="section-title">
                            <h3 class="title">Delivery Info</h3>
                        </div>

                        <div class="form-group">
                            <label>Select Delivery Location</label>
                            <select name="delivery_location_id" id="delivery_location" onchange="updateShippingFee()"
                                required>
                                <?php foreach($locations as $loc): ?>
                                <option value="<?= $loc['id'] ?>" data-fee="<?= $loc['delivery_fee'] ?>">
                                    <?= $loc['country'] . ' - ' . $loc['town'] ?> (Ksh <?= $loc['delivery_fee'] ?>)
                                </option>
                                <?php endforeach; ?>
                            </select>
                        </div>

                        <div class="form-group">
                            <label>Order Note (Optional)</label>
                            <textarea name="order_note" class="input"
                                placeholder="e.g. Leave at the gate..."></textarea>
                        </div>
                    </div>

                </div>

                <!-- Order Details -->
                <div class="col-md-5 order-details">
                    <div class="section-title text-center">
                        <h3 class="title">Your Order</h3>
                    </div>
                    <div class="order-summary">
                        <div class="order-col">
                            <div><strong>PRODUCT</strong></div>
                            <div><strong>TOTAL</strong></div>
                        </div>
                        <div class="order-products">
                            <?php foreach($result1 as $row): 
    $total = $row['p_price'] * $row['p_qty'];
    $cart_total += $total;
?>
                            <div class="order-col">
                                <div>
                                    <strong><?= $row['p_name'] ?></strong><br>

                                    <form method="POST" action="cart_action.php" style="display:inline-block;">
                                        <input type="hidden" name="product_id" value="<?= $row['product_id'] ?>">
                                        <input type="number" name="new_qty" value="<?= $row['p_qty'] ?>" min="1"
                                            style="width: 60px;" />

                                    </form>

                                    <form method="POST" action="cart_action.php" style="display:inline-block;">
                                        <input type="hidden" name="product_id" value="<?= $row['product_id'] ?>">
                                        <button name="remove_item" class="btn btn-sm btn-danger">Delete</button>
                                    </form>
                                </div>
                                <div>

                                    <?= $row['p_qty'] ?> x Ksh: <?= $row['p_price'] ?> = <strong>Ksh: <span
                                            class="item-subtotal"><?= $total ?></span></strong>

                                </div>
                            </div>
                            <?php endforeach; ?>

                            <input type="hidden" name="total_price" value="<?php echo $cart_total;?>">

                        </div>
                        <div class="order-col">
                            <div>
                                <h4>Delivery Charges </h4>
                            </div>
                            <div><strong>FREE</strong></div>
                        </div>
                        <div class="order-col">
                            <div><strong>TOTAL</strong></div>
                            <div><strong class="order-total">Ksh : <?php echo $cart_total;?></strong></div>
                        </div>
                    </div>
                    <div class="payment-method">
                        <div class="input-radio">
                            <input type="radio" name="payment" id="payment-1">
                            <label for="payment-1">
                                <span></span>
                                Direct Bank Transfer
                            </label>
                            <div class="caption">
                                <p>Lorem ipsum dolor sit amet, consectetur adipisicing elit, sed do eiusmod tempor
                                    incididunt ut labore et dolore magna aliqua.</p>
                            </div>
                        </div>
                        <div class="input-radio">
                            <input type="radio" name="payment" id="payment-2">
                            <label for="payment-2">
                                <span></span>
                                Cheque Payment
                            </label>
                            <div class="caption">
                                <p>Lorem ipsum dolor sit amet, consectetur adipisicing elit, sed do eiusmod tempor
                                    incididunt ut labore et dolore magna aliqua.</p>
                            </div>
                        </div>
                        <div class="input-radio">
                            <input type="radio" name="payment" id="payment-3">
                            <label for="payment-3">
                                <span></span>
                                Paypal System
                            </label>
                            <div class="caption">
                                <p>Lorem ipsum dolor sit amet, consectetur adipisicing elit, sed do eiusmod tempor
                                    incididunt ut labore et dolore magna aliqua.</p>
                            </div>
                        </div>
                    </div>
                    <div class="input-checkbox">
                        <input type="checkbox" id="terms">
                        <label for="terms">
                            <span></span>
                            I've read and accept the <a href="#">terms & conditions</a>
                        </label>
                    </div>
                    <input type="submit" class="primary-btn btn-block order-submit" value="Place Order">
                </div>
                <!-- /Order Details -->
            </div>
        </form>
        <!-- /row -->
    </div>
    <!-- /container -->
    <?php if (isset($_SESSION['message'])): ?>
    <div class="alert alert-<?= $_SESSION['message']['type'] ?>">
        <?= $_SESSION['message']['text'] ?>
    </div>
    <?php unset($_SESSION['message']); ?>
    <?php endif; ?>

</div>
<!-- /SECTION -->

<!-- NEWSLETTER -->
<div id="newsletter" class="section">
    <!-- container -->
    <div class="container">
        <!-- row -->
        <div class="row">
            <div class="col-md-12">
                <div class="newsletter">
                    <p>Sign Up for the <strong>NEWSLETTER</strong></p>
                    <form>
                        <input class="input" type="email" placeholder="Enter Your Email">
                        <button class="newsletter-btn"><i class="fa fa-envelope"></i> Subscribe</button>
                    </form>
                    <ul class="newsletter-follow">
                        <li>
                            <a href="#"><i class="fa fa-facebook"></i></a>
                        </li>
                        <li>
                            <a href="#"><i class="fa fa-twitter"></i></a>
                        </li>
                        <li>
                            <a href="#"><i class="fa fa-instagram"></i></a>
                        </li>
                        <li>
                            <a href="#"><i class="fa fa-pinterest"></i></a>
                        </li>
                    </ul>
                </div>
            </div>
        </div>
        <!-- /row -->
    </div>
    <!-- /container -->
</div>
<!-- /NEWSLETTER -->

<!-- FOOTER -->
<?php
		 include 'include/footer.php';
		?>
<!-- /FOOTER -->

<!-- jQuery Plugins -->
<script src="js/jquery.min.js"></script>
<script>
$('#order_place').on('submit', (e) => {
  

    // Validate payment method
    if (!$('input[name="payment"]:checked').val()) {
        alert("Please select a payment method.");
        return;
    }

    // Validate terms & conditions
    if (!$('#terms').is(':checked')) {
        alert("Please accept the terms and conditions.");
        return;
    }

    // Optional: add delivery fee and coupon fields
    let formData = $('#order_place').serialize() + "&Mode=order_place";

    $.ajax({
        method: "POST",
        url: "cart_action.php",
        data: formData,
        dataType: "json",
        success: function(response) {
            if (response.status === "success") {
                swal("Order Placed!", response.message, "success");
                $('.swal-button--confirm').on('click', () => location.reload());
            } else {
                swal("Order Failed!", response.message, "error");
            }
        }
    });
});


$('input[name="new_qty"]').on('change', function() {
    const product_id = $(this).closest('.order-col').find('input[name="product_id"]').val();
    const new_qty = $(this).val();

    $.ajax({
        method: 'POST',
        url: 'cart_action.php',
        data: {
            Mode: 'update_qty',
            product_id: product_id,
            new_qty: new_qty
        },
        success: function(data) {
            const res = typeof data === 'string' ? JSON.parse(data) : data;
            if (res.success) {
                alert('Quantity updated!');
                location.reload();
            } else {
                alert('Update failed: ' + (res.message || 'Unknown error'));
            }
        }
    });
});

$('button[name="remove_item"]').on('click', function(e) {
    e.preventDefault();
    const product_id = $(this).closest('.order-col').find('input[name="product_id"]').val();

    if (confirm('Remove this item?')) {
        $.ajax({
            method: 'POST',
            url: 'cart_action.php',
            data: {
                Mode: 'remove_item',
                product_id: product_id
            },
            success: function(data) {
                const res = typeof data === 'string' ? JSON.parse(data) : data;
                if (res.success) {
                    alert('Item removed!');
                    location.reload();
                } else {
                    alert('Delete failed: ' + (res.message || 'Unknown error'));
                }
            }
        });
    }
});

if (res.success) {
    alert('Quantity updated!');

    // Fetch new cart total
    $.ajax({
        method: 'POST',
        url: 'cart_action.php',
        data: {
            Mode: 'get_cart_total'
        },
        success: function(data) {
            const result = typeof data === 'string' ? JSON.parse(data) : data;
            if (result.success) {
                $('#cart_total').text(result.total);
            }
        }
    });
}


</script>
<script src="js/bootstrap.min.js"></script>
<script src="js/slick.min.js"></script>
<script src="js/nouislider.min.js"></script>
<script src="js/jquery.zoom.min.js"></script>
<script src="js/main.js"></script>

</body>

</html>